# Update a payment schedule Updates a payment schedule. For custom payment schedules, only the custom fields on the payment schedules can be udpated. Use the Update a payment schedule item operation to update payment schedule items of custom payment schedule. Note the following rules for the periodStartDate, period, and occurrences: - If periodStartDate is specified, all pending payment schedule items will be rescheduled using this new periodStartDate. If period is changed, we recommend passing in periodStartDate. Otherwise, the system would use the original start date if there is no processed or canceled items, or the last processed or canceled 'scheduleDate + 1 period' as the new periodStartDate. - If only occurrences is updated, the new item will start with the last processed or canceled 'scheduleDate + 1 period'. Note: - The Payment Schedules feature is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. To manage and access this feature through the self-service interface, see Manage Features in the Knowledge Center. - This operation is only available if you have Invoice Settlement enabled. - When the Multi-currency and Standalone Payments features are not enabled, you can create and update a payment schedule and payment schedule item in a currency other than the account currency. Endpoint: PUT /v1/payment-schedules/{paymentScheduleKey} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `paymentScheduleKey` (string, required) The unique ID or number of a payment schedule. For example, 8a90857b822459cd018224dcb9eb13be, or PS-00000007. ## Request fields (application/json): - `amount` (number) Indicates the updated amount of the pending payment schedule items. - `currency` (string) Indicates the updated currency of the pending payment schedule items. Note: - For custom payments, if Multi-currency is enabled, the payment currency can be different from the account currency for custom payment. - For recurring payments, if Multi-currency is enabled, the payment currency can be different from the account currency but should be the same as billing currency for a recurring payment. - `description` (string) Description of the payment schedule. Example: "Details of this payment schedule" - `occurrences` (integer) Indicates the updated number of payment schedule items that are created by the payment schedule. Note: - If "updated occurrences > existing occurrences", the following number of pending payment schedule item will be added to the payment schedule: “updated occurrences - existing occurrences”. - If "existing occurrences > updated occurrences >= the number of processed/errored/canceled payment schedule items", the following number of pending items will be removed by descending order of the schedule dates: "existing occurrences - updated occurrences". - If "updated occurrences < the number of processed/erroed/canceled payment schedule items", a validation error will be returned. - `paymentGatewayId` (string) Indicates the updated payment gateway ID of the pending payment schedule items. - `paymentMethodId` (string) Indicates the updated payment method ID of the pending payment schedule items. - `paymentOption` (array) Container for the paymentOption items, which describe the transactional level rules for processing payments. Currently, only the Gateway Options type is supported. Here is an example: "paymentOption": [ { "type": "GatewayOptions", "detail": { "SecCode":"WEB" } } ] paymentOption of the payment schedule takes precedence over paymentOption of the payment schedule item. Note: To enable this field, submit a request at [Zuora Global Support](https://support.zuora.com/). - `paymentOption.detail` (object) The field used to pass the transactional payment data to the gateway side in the key-value format. - `paymentOption.detail.key` (string) The name of the field. - `paymentOption.detail.value` (string) The value of the field. - `paymentOption.type` (string) The type of the payment option. Currently, only GatewayOptions is supported for specifying Gateway Options fields supported by a payment gateway. - `period` (string) Indicates the updated period of the pending payment schedule items. Enum: "Monthly", "Weekly", "BiWeekly" - `periodStartDate` (string) Indicates the updated collection date for the next pending payment schedule item. - `runHour` (integer) Specifies at which hour of the day in the tenant’s time zone this payment will be collected. Available values: [0,1,2,~,22,23]. If the time difference between your tenant’s timezone and the timezone where Zuora servers are is not in full hours, for example, 2.5 hours, the payment schedule items will be triggered half hour later than your scheduled time. If the payment runHour and scheduledDate are backdated, the system will collect the payment when the next runHour occurs. ## Response 200 fields (application/json): - `accountId` (string) ID of the account that owns the payment schedule. - `accountNumber` (string) Number of the account that owns the payment schedule. - `billingDocument` (object) - `billingDocument.id` (string) ID of the billing document. for example, 2c9890306fb2121e016fb21a6b550041. - `billingDocument.number` (string) The number of the billing docuemnt, for example, INV00002345. - `billingDocument.type` (string) Indicates whether the associated billing document is a debit memo or a invoice. - `billingDocuments` (array) Container array of the multiple billing documents associated with the payment schedule. - `billingDocuments.id` (string) ID of the billing document. - `billingDocuments.number` (string) Number of the billing document. If the billing document is a debit memo, it contains the debit memo number. If the billing document is an invoice, it contains the invoice number. - `billingDocuments.type` (string) Denotes if the billing document is of the type invoice or debit memo. Enum: "Invoice", "DebitMemo" - `createdById` (string) The ID of the user who created this payment schedule. - `createdDate` (string) The date and time the payment schedule is created. - `cancellationReason` (string,null) The reason for the cancellation of the payment schedule item. - `cancelledById` (string,null) The ID of the user who canceled this payment schedule. - `cancelledOn` (string,null) The date when the payment schedule was canceled. - `cancelDate` (string) Specifies the effective date by when the payment schedule will be canceled. - `description` (string) The description of the payment schedule. - `id` (string) ID of the payment schedule. - `isCustom` (boolean) Indicates if the payment schedule is a custom payment schedule. - `items` (array) Container for payment schedule items. - `items.accountId` (string) ID of the customer account that owns the payment schedule item, for example 402880e741112b310149b7343ef81234. - `items.amount` (number) The total amount of the payment schedule. - `items.balance` (number) The remaining balance of payment schedule item. - `items.createdById` (string) The ID of the user who created the payment schedule item. - `items.createdDate` (string) The date and time when the payment schedule item was created. - `items.currency` (string) The currency of the payment. - `items.description` (string) The description of the payment schedule item. - `items.errorMessage` (string) The error message indicating if the error is related to configuration or payment collection. - `items.id` (string) ID of the payment schedule item. For example, 412880e749b72b310149b7343ef81346. - `items.number` (string) Number of the payment schedule item. - `items.paymentGatewayId` (string,null) ID of the payment gateway of the payment schedule item. - `items.paymentMethodId` (string,null) ID of the payment method of the payment schedule item. - `items.paymentOption` (array) Container for the paymentOption items, which describe the transactional level rules for processing payments. Currently, only the Gateway Options type is supported. paymentOption of the payment schedule takes precedence over paymentOption of the payment schedule item. - `items.paymentOption.detail` (object) The field used to pass the transactional payment data to the gateway side in the key-value format. - `items.paymentOption.detail.key` (string) The name of the field. - `items.paymentOption.detail.value` (string) The value of the field. - `items.paymentOption.type` (string) The type of the payment option. Currently, only GatewayOptions is supported for specifying Gateway Options fields supported by a payment gateway. - `items.paymentScheduleId` (string) ID of the payment schedule that contains the payment schedule item, for example, ID402880e749b72b310149b7343ef80005. - `items.paymentScheduleNumber` (string) Number of the payment schedule that contains the payment schedule item, for example, ID402880e749b72b310149b7343ef80005. - `items.psiPayments` (array) Container for payments linked to the payment schedule item. - `items.psiPayments.paymentId` (string) ID of the payment. - `items.runHour` (integer) At which hour in the day in the tenant’s timezone this payment will be collected. - `items.scheduledDate` (string) The scheduled date when the payment is processed. - `items.standalone` (boolean) Indicates if the payment created by the payment schedule item is a standalone payment or not. - `items.status` (string) ID of the payment method of the payment schedule item. - Pending: Payment schedule item is waiting for processing. - Processed: The payment has been collected. - Error: Failed to collect the payment. - Canceled: After a pending payment schedule item is canceled by the user, the item is marked as Canceled. Enum: "Pending", "Processed", "Error", "Canceled" - `items.updatedById` (string) The ID of the user who updated the payment schedule item. - `items.updatedDate` (string) The date and time when the payment schedule item was last updated. - `nextPaymentDate` (string) The date the next payment will be processed. - `occurrences` (integer) The number of payment schedule items that are created by this payment schedule. - `paymentScheduleNumber` (string) Number of the payment schedule. - `period` (string) For recurring payment schedule only. The period of payment generation. Available values include: Monthly, Weekly, BiWeekly. Return null for custom payment schedules. - `prepayment` (boolean) Indicates whether the payments created by the payment schedule are used as a reserved payment. This field is available only if the prepaid cash drawdown permission is enabled. See [Prepaid Cash with Drawdown](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Invoicing/JA_Advanced_Consumption_Billing/Prepaid_Cash_with_Drawdown) for more information. - `recentPaymentDate` (string) The date the last payment was processed. - `runHour` (integer) [0,1,2,~,22,23] At which hour in the day in the tenant’s timezone this payment will be collected. Return 0 for custom payment schedules. - `standalone` (boolean) Indicates if the payments that the payment schedule created are standalone payments. - `startDate` (string) The date when the first payment of this payment schedule is proccessed. - `status` (string) The status of the payment schedule. - Active: There is still payment schedule item to process. - Canceled: After a payment schedule is canceled by the user, the schedule is marked as Canceled. - Completed: After all payment schedule items are processed, the schedule is marked as Completed. Enum: "Active", "Canceled", "Completed" - `success` (boolean) Returns true if the request was processed successfully. - `totalAmount` (number) The total amount that will be collected by the payment schedule. - `totalPaymentsErrored` (integer) The number of errored payments. - `totalPaymentsProcessed` (integer) The number of processed payments. - `updatedById` (string) The ID of the user who last updated this payment schedule. - `updatedDate` (string) The date and time the payment schedule is last updated. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.